
package de.ivu.elect.business.stimmeingabe.control.plausi;

import javax.annotation.Nonnull;

import de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;
import de.ivu.elect.jee.faces.Messages;

public class PruefkennzeichenWahlberechtigteErfasstPlausi extends AbstractStimmeingabePlausi {

  public PruefkennzeichenWahlberechtigteErfasstPlausi(StimmeingabePlausiKonfiguration stimmeingabePlausiKonfiguration, Messages messages) {
    super(stimmeingabePlausiKonfiguration, messages);
  }

  @Override
  protected boolean isPlausiResultCalculatedAutomatischKorrigierbar() {
    return false; // Plausi prüft nur auf Existenz, also kein SOLL-Wert vorhanden!
  }

  @Override
  protected StimmeingabePlausiResult calculatePlausiResult(@Nonnull Stimmeingabe stimmeingabe) {
    if (stimmeingabe.hasAnzahlEingabe()) {
      return StimmeingabePlausiResult.KEIN_FEHLER;
    }

    return createPlausiResultOhneFiktiveWerteFehlerBeheber(stimmeingabe);
  }
}
